Get Sources
curl --request GET \
--url https://api.aisa.one/apis/v1/fred/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/sources")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 58,
"limit": 1000,
"offset": 0,
"order_by": "source_id",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14",
"sort_order": "asc",
"sources": [
{
"id": 1,
"link": "http://www.federalreserve.gov/",
"name": "Board of Governors of the Federal Reserve System",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 3,
"link": "http://www.philadelphiafed.org/",
"name": "Federal Reserve Bank of Philadelphia",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 4,
"link": "http://www.stlouisfed.org/",
"name": "Federal Reserve Bank of St. Louis",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 6,
"link": "http://www.ffiec.gov/",
"name": "Federal Financial Institutions Examination Council",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 11,
"link": "http://www.dowjones.com",
"name": "Dow Jones & Company",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 13,
"link": "http://www.ism.ws/",
"name": "Institute for Supply Management",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 14,
"link": "https://customers.reuters.com/community/university/default.aspx",
"name": "Thomson Reuters/University of Michigan",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 15,
"link": "http://www.whitehouse.gov/cea/",
"name": "The White House: Council of Economic Advisors",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 16,
"link": "http://www.whitehouse.gov/omb/",
"name": "The White House: Office of Management and Budget",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 17,
"link": "http://www.cbo.gov/",
"name": "U.S. Congress: Congressional Budget Office",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 18,
"link": "http://www.bea.gov/",
"name": "U.S. Department of Commerce: Bureau of Economic Analysis",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 19,
"link": "http://www.census.gov/",
"name": "U.S. Department of Commerce: Census Bureau",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 21,
"link": "http://www.hud.gov/",
"name": "U.S. Department of Housing and Urban Development",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 22,
"link": "http://www.bls.gov/",
"name": "U.S. Department of Labor: Bureau of Labor Statistics",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 23,
"link": "http://www.fms.treas.gov/",
"name": "U.S. Department of the Treasury: Financial Management Service",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 26,
"link": "http://www.haver.com/",
"name": "Haver Analytics",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 31,
"link": "http://www.rba.gov.au/",
"name": "Reserve Bank of Australia",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 32,
"link": "http://www.bundesbank.de/index.en.php",
"name": "Deutsche Bundesbank",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 33,
"link": "http://www.bancaditalia.it/;internal&action=_setlanguage.action?LANGUAGE=en",
"name": "Banca d'Italia",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 34,
"link": "http://www.snb.ch/",
"name": "Swiss National Bank",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 35,
"link": "http://www.tcmb.gov.tr/yeni/eng/",
"name": "Central Bank of the Republic of Turkey",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 36,
"link": "http://www.fhfa.gov/",
"name": "Federal Housing Finance Agency",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 37,
"name": "Bank of Japan",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 38,
"link": "http://www.banxico.org.mx/",
"name": "Banco de Mexico",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 41,
"link": "http://www.freddiemac.com/index.html",
"name": "Freddie Mac",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 42,
"link": "http://www.adp.com/",
"name": "Automatic Data Processing, Inc.",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 44,
"link": "http://www.wilshire.com/",
"name": "Wilshire Associates Incorporated",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 46,
"link": "http://www.kansascityfed.org/",
"name": "Federal Reserve Bank of Kansas City",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 47,
"link": "http://www.cboe.com/",
"name": "Chicago Board Options Exchange",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 48,
"link": "http://www.oecd.org/",
"name": "Organisation for Economic Co-operation and Development",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 50,
"link": "http://www.doleta.gov",
"name": "U.S. Department of Labor: Employment and Training Administration",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 52,
"link": "http://www.ml.com",
"name": "BofA Merrill Lynch",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 53,
"link": "http://www.eia.gov/",
"name": "U.S. Department of Energy: Energy Information Administration",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 54,
"link": "http://www.chicagofed.org",
"name": "Federal Reserve Bank of Chicago",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 55,
"link": "http://www.nber.org/",
"name": "National Bureau of Economic Research",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 57,
"link": "http://www.worldbank.org/",
"name": "World Bank",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 59,
"link": "http://www.realtor.org",
"name": "National Association of Realtors",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 60,
"link": "http://www.imf.org/external/index.htm",
"name": "International Monetary Fund",
"notes": "The International Monetary Fund (IMF) is an organization of 187 countries, working to foster global monetary cooperation, secure financial stability, facilitate international trade, promote high employment and sustainable economic growth, and reduce poverty around the world.",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 61,
"link": "http://epp.eurostat.ec.europa.eu/portal/page/portal/eurostat/home/",
"name": "Eurostat",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 62,
"link": "http://www.bbalibor.com",
"name": "British Bankers' Association",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 63,
"link": "http://www.fhwa.dot.gov/",
"name": "U.S. Department of Transportation: Federal Highway Administration",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 64,
"link": "http://www.bankrate.com/",
"name": "Bankrate, Inc.",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 65,
"link": "http://www.lbma.org.uk/pages/index.cfm?page_id=1",
"name": "London Bullion Market Association",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 66,
"link": "http://www.upenn.edu/",
"name": "University of Pennsylvania",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 67,
"link": "http://www.credability.org/en/homepage.aspx",
"name": "CredAbility Nonprofit Credit Counseling & Education",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 68,
"link": "http://pages.uoregon.edu/jpiger/us_recession_probs.htm",
"name": "Marcelle Chauvet and Jeremy Piger",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 69,
"link": "http://www.fdic.gov/",
"name": "Federal Deposit Insurance Corporation",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 70,
"name": "Gerald P. Dwyer, Jr., R.W. Hafer, and Warren E. Weber",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 74,
"link": "http://www.ons.gov.uk/ons/index.html",
"name": "U.K. Office for National Statistics",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 75,
"link": "http://www.cao.go.jp/index-e.html",
"name": "Cabinet Office of Japan",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 76,
"link": "http://www.bankofengland.co.uk/Pages/home.aspx",
"name": "Bank of England",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 77,
"name": "European Central Bank",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 78,
"link": "http://louisville.edu/lodi",
"name": "University of Louisville: Logistics and Distribution Institute",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 80,
"link": "http://www.policyuncertainty.com/",
"name": "Scott Baker, Nicholas Bloom and Steven J. Davis",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 81,
"link": "http://www.cassinfo.com/",
"name": "Cass Information Systems, Inc.",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 82,
"link": "http://research.stlouisfed.org/msi/index.html",
"name": "Richard Anderson and Barry Jones",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 85,
"link": "http://www.djindexes.com/",
"name": "S&P Dow Jones Indices LLC",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 86,
"link": "http://nikkei.com",
"name": "Nikkei Inc.",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
}
]
}FRED
Get Sources
Get all sources of economic data.
{"methods":[{"methodType":"GET","methodDesc":"Get all sources of economic data.","requestParams":[{"name":"realtime_start","type":"string","required":false,"description":"YYYY-MM-DD formatted string."},{"name":"realtime_end","type":"string","required":false,"description":"YYYY-MM-DD formatted string."}],"responseParams":[{"name":"sources","type":"array","description":"Array of source objects with id, name, link."}]}]}
GET
https://api.aisa.one
/
apis
/
v1
/
fred
/
sources
Get Sources
curl --request GET \
--url https://api.aisa.one/apis/v1/fred/sources \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/fred/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/fred/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/fred/sources",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/fred/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/fred/sources")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/fred/sources")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"count": 58,
"limit": 1000,
"offset": 0,
"order_by": "source_id",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14",
"sort_order": "asc",
"sources": [
{
"id": 1,
"link": "http://www.federalreserve.gov/",
"name": "Board of Governors of the Federal Reserve System",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 3,
"link": "http://www.philadelphiafed.org/",
"name": "Federal Reserve Bank of Philadelphia",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 4,
"link": "http://www.stlouisfed.org/",
"name": "Federal Reserve Bank of St. Louis",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 6,
"link": "http://www.ffiec.gov/",
"name": "Federal Financial Institutions Examination Council",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 11,
"link": "http://www.dowjones.com",
"name": "Dow Jones & Company",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 13,
"link": "http://www.ism.ws/",
"name": "Institute for Supply Management",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 14,
"link": "https://customers.reuters.com/community/university/default.aspx",
"name": "Thomson Reuters/University of Michigan",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 15,
"link": "http://www.whitehouse.gov/cea/",
"name": "The White House: Council of Economic Advisors",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 16,
"link": "http://www.whitehouse.gov/omb/",
"name": "The White House: Office of Management and Budget",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 17,
"link": "http://www.cbo.gov/",
"name": "U.S. Congress: Congressional Budget Office",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 18,
"link": "http://www.bea.gov/",
"name": "U.S. Department of Commerce: Bureau of Economic Analysis",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 19,
"link": "http://www.census.gov/",
"name": "U.S. Department of Commerce: Census Bureau",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 21,
"link": "http://www.hud.gov/",
"name": "U.S. Department of Housing and Urban Development",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 22,
"link": "http://www.bls.gov/",
"name": "U.S. Department of Labor: Bureau of Labor Statistics",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 23,
"link": "http://www.fms.treas.gov/",
"name": "U.S. Department of the Treasury: Financial Management Service",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 26,
"link": "http://www.haver.com/",
"name": "Haver Analytics",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 31,
"link": "http://www.rba.gov.au/",
"name": "Reserve Bank of Australia",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 32,
"link": "http://www.bundesbank.de/index.en.php",
"name": "Deutsche Bundesbank",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 33,
"link": "http://www.bancaditalia.it/;internal&action=_setlanguage.action?LANGUAGE=en",
"name": "Banca d'Italia",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 34,
"link": "http://www.snb.ch/",
"name": "Swiss National Bank",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 35,
"link": "http://www.tcmb.gov.tr/yeni/eng/",
"name": "Central Bank of the Republic of Turkey",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 36,
"link": "http://www.fhfa.gov/",
"name": "Federal Housing Finance Agency",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 37,
"name": "Bank of Japan",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 38,
"link": "http://www.banxico.org.mx/",
"name": "Banco de Mexico",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 41,
"link": "http://www.freddiemac.com/index.html",
"name": "Freddie Mac",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 42,
"link": "http://www.adp.com/",
"name": "Automatic Data Processing, Inc.",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 44,
"link": "http://www.wilshire.com/",
"name": "Wilshire Associates Incorporated",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 46,
"link": "http://www.kansascityfed.org/",
"name": "Federal Reserve Bank of Kansas City",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 47,
"link": "http://www.cboe.com/",
"name": "Chicago Board Options Exchange",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 48,
"link": "http://www.oecd.org/",
"name": "Organisation for Economic Co-operation and Development",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 50,
"link": "http://www.doleta.gov",
"name": "U.S. Department of Labor: Employment and Training Administration",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 52,
"link": "http://www.ml.com",
"name": "BofA Merrill Lynch",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 53,
"link": "http://www.eia.gov/",
"name": "U.S. Department of Energy: Energy Information Administration",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 54,
"link": "http://www.chicagofed.org",
"name": "Federal Reserve Bank of Chicago",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 55,
"link": "http://www.nber.org/",
"name": "National Bureau of Economic Research",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 57,
"link": "http://www.worldbank.org/",
"name": "World Bank",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 59,
"link": "http://www.realtor.org",
"name": "National Association of Realtors",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 60,
"link": "http://www.imf.org/external/index.htm",
"name": "International Monetary Fund",
"notes": "The International Monetary Fund (IMF) is an organization of 187 countries, working to foster global monetary cooperation, secure financial stability, facilitate international trade, promote high employment and sustainable economic growth, and reduce poverty around the world.",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 61,
"link": "http://epp.eurostat.ec.europa.eu/portal/page/portal/eurostat/home/",
"name": "Eurostat",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 62,
"link": "http://www.bbalibor.com",
"name": "British Bankers' Association",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 63,
"link": "http://www.fhwa.dot.gov/",
"name": "U.S. Department of Transportation: Federal Highway Administration",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 64,
"link": "http://www.bankrate.com/",
"name": "Bankrate, Inc.",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 65,
"link": "http://www.lbma.org.uk/pages/index.cfm?page_id=1",
"name": "London Bullion Market Association",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 66,
"link": "http://www.upenn.edu/",
"name": "University of Pennsylvania",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 67,
"link": "http://www.credability.org/en/homepage.aspx",
"name": "CredAbility Nonprofit Credit Counseling & Education",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 68,
"link": "http://pages.uoregon.edu/jpiger/us_recession_probs.htm",
"name": "Marcelle Chauvet and Jeremy Piger",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 69,
"link": "http://www.fdic.gov/",
"name": "Federal Deposit Insurance Corporation",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 70,
"name": "Gerald P. Dwyer, Jr., R.W. Hafer, and Warren E. Weber",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 74,
"link": "http://www.ons.gov.uk/ons/index.html",
"name": "U.K. Office for National Statistics",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 75,
"link": "http://www.cao.go.jp/index-e.html",
"name": "Cabinet Office of Japan",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 76,
"link": "http://www.bankofengland.co.uk/Pages/home.aspx",
"name": "Bank of England",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 77,
"name": "European Central Bank",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 78,
"link": "http://louisville.edu/lodi",
"name": "University of Louisville: Logistics and Distribution Institute",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 80,
"link": "http://www.policyuncertainty.com/",
"name": "Scott Baker, Nicholas Bloom and Steven J. Davis",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 81,
"link": "http://www.cassinfo.com/",
"name": "Cass Information Systems, Inc.",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 82,
"link": "http://research.stlouisfed.org/msi/index.html",
"name": "Richard Anderson and Barry Jones",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 85,
"link": "http://www.djindexes.com/",
"name": "S&P Dow Jones Indices LLC",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
},
{
"id": 86,
"link": "http://nikkei.com",
"name": "Nikkei Inc.",
"realtime_end": "2013-08-14",
"realtime_start": "2013-08-14"
}
]
}Request contract
- Method and path: GET /apis/v1/fred/sources
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/fred/sources - file_type: query; optional
- limit: query; optional
- offset: query; optional
- order_by: query; optional
- realtime_end: query; optional
- realtime_start: query; optional
- sort_order: query; optional
{
"operationId": "any_fred_apis_v1_fred_sources",
"method": "GET",
"path": "/apis/v1/fred/sources",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"description": "A key or file extension that indicates the type of file to send.\nstring, optional, default: xml\nOne of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.\nxml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.",
"in": "query",
"name": "file_type",
"required": false,
"schema": {
"default": "xml",
"enum": [
"xml",
"json"
],
"type": "string"
},
"x-aisa-reference-declarations": [
"string, optional, default: xml",
"One of the following values: 'xml', 'json'"
]
},
{
"description": "The maximum number of results to return.\ninteger between 1 and 1000, optional, default: 1000",
"in": "query",
"name": "limit",
"required": false,
"schema": {
"default": 1000,
"maximum": 1000,
"minimum": 1,
"type": "integer"
},
"x-aisa-reference-declarations": [
"integer between 1 and 1000, optional, default: 1000"
]
},
{
"description": "non-negative integer, optional, default: 0",
"in": "query",
"name": "offset",
"required": false,
"schema": {
"default": 0,
"minimum": 0,
"type": "integer"
},
"x-aisa-reference-declarations": [
"non-negative integer, optional, default: 0"
]
},
{
"description": "Order results by values of the specified attribute.\nOne of the following strings: 'source_id', 'name', 'realtime_start', 'realtime_end'.\noptional, default: source_id",
"in": "query",
"name": "order_by",
"required": false,
"schema": {
"default": "source_id",
"enum": [
"source_id",
"name",
"realtime_start",
"realtime_end"
],
"type": "string"
},
"x-aisa-reference-declarations": [
"One of the following strings: 'source_id', 'name', 'realtime_start', 'realtime_end'.",
"optional, default: source_id"
]
},
{
"description": "The end of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"in": "query",
"name": "realtime_end",
"required": false,
"schema": {
"format": "date",
"type": "string"
},
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"description": "The start of the real-time period. For more information, see Real-Time Periods .\nYYYY-MM-DD formatted string, optional, default: today's date",
"in": "query",
"name": "realtime_start",
"required": false,
"schema": {
"format": "date",
"type": "string"
},
"x-aisa-reference-declarations": [
"YYYY-MM-DD formatted string, optional, default: today's date"
]
},
{
"description": "Sort results is ascending or descending order for attribute values specified by order_by.\nOne of the following strings: 'asc', 'desc'.\noptional, default: asc",
"in": "query",
"name": "sort_order",
"required": false,
"schema": {
"default": "asc",
"enum": [
"asc",
"desc"
],
"type": "string"
},
"x-aisa-reference-declarations": [
"One of the following strings: 'asc', 'desc'.",
"optional, default: asc"
]
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-status": "enabled",
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.00001 USD per successful request. Your account price may differ; use a request quote where supported.Authorizations
Query Parameters
A key or file extension that indicates the type of file to send. string, optional, default: xml One of the following values: 'xml', 'json' xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json. xml = Extensible Markup Language. The HTTP Content-Type is text/xml. json = JavaScript Object Notation. The HTTP Content-Type is application/json.
Available options:
xml, json Response
Successful response. The payload schema has not been reviewed yet.